---

stages:
  - qa
  - build
  - release

build:
  stage: build
  interruptible: true
  needs: []
  image:
    name: "node:22"
    entrypoint: [""]
  script:
    - make deploy

release note:
  stage: qa
  interruptible: true
  script:
    - echo You should write release notes with your changes.
    - exit 1
  allow_failure: true
  only:
    refs:
      - merge_requests
  except:
    changes:
      - releasenotes/**/*

release:
  stage: release
  image: registry.gitlab.com/prologin/tech/tools/renogin:v1.0.2
  variables:
    GIT_STRATEGY: clone
    GIT_DEPTH: 0
  script:
    - renogin report --version $CI_COMMIT_TAG --branch $CI_DEFAULT_BRANCH > changelog_generated.md
  release:
    tag_name: $CI_COMMIT_TAG
    name: $CI_COMMIT_TAG
    description: ./changelog_generated.md
  rules:
    - if: $CI_COMMIT_TAG
